Skip to main content
GET
/
v2
/
orders
/
{merchant_id}
cURL
curl --request GET \
  --url https://api.loyaltylion.com/v2/orders/{merchant_id} \
  --header 'Authorization: Bearer <token>'
{
  "cancellation_status": "cancelled",
  "merchant_id": "<string>",
  "payment_status": "not_paid",
  "refund_status": "not_refunded",
  "total_paid": "<string>",
  "total_shipping": "<string>",
  "total": "<string>",
  "merchant_created_at": "<string>",
  "merchant_updated_at": "<string>",
  "payments": [
    {
      "amount": "<string>",
      "created_at": "<string>",
      "gateway": "<string>"
    }
  ],
  "refunds": [
    {
      "amount": "<string>",
      "created_at": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.loyaltylion.com/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve an order by its ID in your platform or ecommerce store.

Authorizations

Authorization
string
header
required

An API key linked to a Program in LoyaltyLion, with a set of permissions (scopes). API keys can be created manually, or acquired through an OAuth2 flow. The API key should be provided as a Bearer token in the Authorization header

Path Parameters

merchant_id
string
required

The ID of the order in your platform or ecommerce store

Minimum string length: 1

Response

200

cancellation_status
enum<string>
required
Available options:
cancelled,
not_cancelled
merchant_id
string
required
payment_status
enum<string>
required
Available options:
not_paid,
partially_paid,
paid
refund_status
enum<string>
required
Available options:
not_refunded,
partially_refunded,
refunded
total_paid
string
required
total_shipping
string
required
total
string
required
merchant_created_at
string
required
merchant_updated_at
string
required
payments
object[]
required
refunds
object[]
required